> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tickets

> This endpoint retrieves a paginated list of tickets




## OpenAPI

````yaml GET /tickets
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
  - name: custom properties
paths:
  /tickets:
    get:
      tags:
        - tickets
      summary: Get Tickets
      description: |
        This endpoint retrieves a paginated list of tickets
      operationId: getTickets
      parameters:
        - name: offset
          in: query
          schema:
            type: number
            example: '0'
            description: |-
              - The offset value for paginating the results
              - Default 0
        - name: limit
          in: query
          schema:
            type: number
            example: '10'
            description: |-
              - The maximum number of tickets to retrieve
              - Default 2000
      responses:
        '200':
          description: 200 OK
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '1190'
            Date:
              schema:
                type: string
                example: Sun, 26 Jan 2025 13:47:01 GMT
            ETag:
              schema:
                type: string
                example: W/"4a6-M3vxEOWmiUT3KCwrQrG4/K/XNzg"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1737899223'
            x-periskope-org-id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-trace-id:
              schema:
                type: string
                example: 0551b3a0-dbec-11ef-9a92-2712d13b7409
          content:
            application/json:
              schema:
                type: object
                properties:
                  from:
                    type: number
                    description: The starting index of the returned tickets.
                  to:
                    type: number
                    description: The ending index of the returned tickets.
                  count:
                    type: number
                    description: The total count of tickets.
                  tickets:
                    type: array
                    description: >-
                      An array of ticket objects. Refer to [the ticket object
                      here](/api-reference/objects/the-ticket-info-object)
              examples:
                200 OK:
                  value:
                    count: 2
                    from: 1
                    tickets:
                      - assigned_by: null
                        assignee: test@periskope.app
                        chat_id: 918527184400@c.us
                        close_ticket_metadata: {}
                        closed_at: null
                        created_at: '2025-01-26T13:46:55.758677+00:00'
                        custom_properties: {}
                        due_date: null
                        freshdesk_metadata: {}
                        hubspot_metadata: {}
                        is_deleted: false
                        label_ids: {}
                        labels: []
                        last_updated_at: '2025-01-26T13:46:55.758677+00:00'
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        priority: 0
                        quoted_message_id: null
                        raised_by: null
                        response_time: null
                        status: inprogress
                        subject: Another ticket
                        ticket_id: BKT-002
                        zohodesk_metadata: {}
                      - assigned_by: null
                        assignee: bharat@periskope.app
                        chat_id: 919537851844@c.us
                        close_ticket_metadata: {}
                        closed_at: null
                        created_at: '2025-01-26T13:46:21.670006+00:00'
                        custom_properties: {}
                        due_date: null
                        freshdesk_metadata: {}
                        hubspot_metadata: {}
                        is_deleted: false
                        label_ids: {}
                        labels: []
                        last_updated_at: '2025-01-26T13:46:21.670006+00:00'
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        priority: 0
                        quoted_message_id: null
                        raised_by: null
                        response_time: null
                        status: open
                        subject: Issue with this
                        ticket_id: BKT-001
                        zohodesk_metadata: {}
                    to: 2
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
            });

            async function getTickets() {
              const response = await client.ticket.getAll();

              console.log(response);
            }

            getTickets();
        - lang: cURL
          label: cURL
          source: |
            curl -X GET \
              https://api.periskope.app/v1/tickets \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````